Package org.bukkit.event.server

# Class PluginEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
org.bukkit.event.server.PluginEvent

Direct Known Subclasses:
  `PluginDisableEvent`, `PluginEnableEvent`

public abstract class PluginEvent extends ServerEvent
Used for plugin enable and disable events

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`PluginEvent(@NotNull Plugin plugin)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Plugin`
`getPlugin()`
Gets the plugin involved in this event

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginEvent

public PluginEvent(@NotNull @NotNull Plugin plugin)

## Method Details

### getPlugin

@NotNull public @NotNull Plugin getPlugin()
Gets the plugin involved in this event

Returns:
  Plugin for this event